package com.example.helloworld;


import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import com.google.android.gms.maps.*;
import com.google.android.gms.maps.model.*;

public class ActivityMap extends FragmentActivity {
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_map);
        
        GoogleMap map = ((SupportMapFragment)  getSupportFragmentManager().findFragmentById(R.id.map)).getMap();

        LatLng bcn = new LatLng(41.390205, 2.154007);

        map.setMyLocationEnabled(true);
        map.moveCamera(CameraUpdateFactory.newLatLngZoom(bcn, 13));

        map.addMarker(new MarkerOptions()
                .title("Barcelona")
                .snippet(getString(R.string.barcelonaDesc))
                .position(bcn));
        
        map.setMapType(GoogleMap.MAP_TYPE_SATELLITE);
    }
}
