package com.example.helloworld;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class ActivityTwo extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_two);
		
		//tracto el clic al bot
		
		Button boto1 = (Button) findViewById(R.id.button1);
		boto1.setOnClickListener (new OnClickListener(){
			public void onClick (View v){
				Intent i = new Intent();
				i.setClass(getApplicationContext(), ActivityOne.class);
				startActivity(i);
			}
		});
		
		Button boto2 = (Button) findViewById(R.id.button2);
		boto2.setOnClickListener (new OnClickListener(){
			public void onClick (View v){
				Intent i = new Intent();
				i.setClass(getApplicationContext(), ActivityMap.class);
				startActivity(i);
			}
		});
		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
	
	@Override
	public void onBackPressed(){
		Intent i = new Intent();
		i.setClass(getApplicationContext(), MainActivity.class);
		startActivity(i);
	}

	
}
