package com.prorace.model;

import com.prorace.jpa.Race;

public class CreateRace {
	
	public static ErrorCode createRace (Race race){
		
		//REVIEWING RACE DATA
		if(race.getDateTime().before(new java.util.Date()))
			return ErrorCode.DATE_BEFORE;
		if(race.getLaps()<1)
			race.setLaps(1);
		if(race.getLimitTime()<0)
			return ErrorCode.LIMIT_TIME_NEGATIVE;
		if(race.getMaxCompetitors()<0)
			return ErrorCode.MAX_COMPETITORS_NEGATIVE;
		
		//ADDING RACE TO SERVER
		//TODO ADD RACE TO SERVER
		
		return ErrorCode.NULL;
	}
	
}
